﻿
/* ------------------------------------------------------- */
/* Infragistics Dock Manager styles                        */
/* ------------------------------------------------------- */
/*@import '../Scripts/Infragistics/igniteui-dockmanager-package-1.7.0/package/dist/collection/styles/igc.themes.css';*/
/*https://infragistics.com/products/ignite-ui-web-components/web-components/components/layouts/dock-manager*/

/*.standardtime-dockmanager-theme {
    --igc-background-color: rgba(41, 57, 85, 1.0);
    --igc-accent-color: #424242;
    --igc-text-color: #FFF;
    --igc-tab-text-active: #000;
    --igc-tab-header-text-color-active: #000;
    --igc-border-color: #212121;
    --igc-button-text: 'inherit';
    --igc-splitter-background: #000;
    --igc-flyout-shadow-color: rgba(0, 0, 0, .38);
    --igc-joystick-icon-color-active: #fff;
    --igc-joystick-border-color: #424242;
    --igc-tab-background-active: #FFF29D;
    --igc-pane-content-background: #F5F5F5;
    --igc-pane-content-text: #000;
    --igc-pane-header-text: #FFF;
    --igc-pane-header-text-active: #FFF;
    --igc-floating-pane-border-color: rgba(0, 0, 0, .26);
    --igc-context-menu-color-active: #fff;
    --igc-disabled-color: rgba(255, 255, 255, .5);
}
*/

.standardtime-dockmanager-theme {
    --igc-background-color: rgba(41, 57, 85, 1.0);
    --igc-accent-color: #424242;
    --igc-text-color: rgba(255, 255, 255, 1.0);
    --igc-border-color: #212121;
    --igc-button-text: 'inherit';
    --igc-splitter-background: steelblue;
    --igc-splitter-handle: white;
    --igc-flyout-shadow-color: rgba(0, 0, 0, .38);
    --igc-joystick-icon-color-active: #fff;
    --igc-joystick-border-color: #424242;
    --igc-tab-background-active: #212121;
    --igc-pane-content-background: #F5F5F5;
    --igc-floating-pane-border-color: rgba(0, 0, 0, .26);
    --igc-context-menu-color-active: #fff;
    --igc-disabled-color: rgba(255, 255, 255, .5);
}


.dark-theme {
    --igc-background-color: #111;
    --igc-accent-color: #424242;
    --igc-text-color: rgba(255, 255, 255, .7);
    --igc-border-color: #212121;
    --igc-button-text: 'inherit';
    --igc-splitter-background: #000;
    --igc-flyout-shadow-color: rgba(0, 0, 0, .38);
    --igc-joystick-icon-color-active: #fff;
    --igc-joystick-border-color: #424242;
    --igc-tab-background-active: #212121;
    --igc-pane-content-background: #212121;
    --igc-floating-pane-border-color: rgba(0, 0, 0, .26);
    --igc-context-menu-color-active: #fff;
    --igc-disabled-color: rgba(255, 255, 255, .5);
}

.light-theme {
    --igc-background-color: #E5E7E9;
    --igc-accent-color: #fff;
    --igc-text-color: rgba(0, 0, 0, .72);
    --igc-border-color: #F3F5F7;
    --igc-button-text: 'inherit';
    --igc-splitter-background: #D3D6D9;
    --igc-flyout-shadow-color: rgba(0, 0, 0, .08);
    --igc-joystick-icon-color-active: #000;
    --igc-joystick-border-color: #D3D6D9;
    --igc-tab-background-active: #F3F5F7;
    --igc-pane-content-background: #F3F5F7;
    --igc-floating-pane-border-color: #fff;
    --igc-context-menu-color-active: #000;
    --igc-disabled-color: rgba(0, 0, 0, .38);
}

/*
CSS Parts
Part name	            Description
content-pane	        The content pane component.
pane-header	            The content pane header component.
pane-header-content	    The content area of the content pane header.
pane-header-actions	    The actions area of the content pane header.
active	                Indicates an active state. Applies to pane-header, pane-header-content, pane-header-actions, tab-header.
floating	            Indicates a floating pane placement. Applies to pane-header, pane-header-content, pane-header-actions.
window	                Indicates a floating window placement. Applies to pane-header, pane-header-content, pane-header-actions.
split-pane	            The split pane component.
splitter	            The resizing splitter component.
splitter-base	        The base element of the splitter component.
splitter-ghost	        The ghost element of the splitter component.
unpinned-pane-header	The unpinned pane header component.
tab-header	            The tab header component.
selected	            Indicates a selected state. Applies to tab-header.
tab-strip-area	        The tab strip area containing the tab headers.
tab-strip-actions	    The tab strip area containing the tab actions.
top	                    Indicates a top tabs position. Applies to tab-header, tab-strip-area, tab-strip-actions.
bottom	                Indicates a bottom tabs position. Applies to tab-header, tab-strip-area, tab-strip-actions.
context-menu	        The context menu component.
context-menu-item	    An item in the context menu component.
docking-preview	        The docking preview area.
docking-indicator	    The non-root docking indicator.
root-docking-indicator	The root docking indicator.
pane-navigator	        The pane navigator component.
pane-navigator-header	The header area of the pane navigator.
pane-navigator-body	    The body area of the pane navigator.
pane-navigator-items-group	        An items group in the pane navigator component.
pane-navigator-items-group-title	The title element of an items group in the pane navigator.
pane-navigator-item	                An item in the pane navigator.
*/




/*Recommended css for dockmanager slot divs*/ 
/*See Index.chhtml*/
/*Example: <div slot="content3" class="dockManagerContent" style="height:100%; overflow:hidden;" > <div id="divRecordsetGridPartialView1" style="height: 100%; overflow: hidden; background-color: whitesmoke; font-size: 10pt; " > Loading...</div > </div >*/
.dockManagerContent {
    padding: 0.0rem;
    background-color: whitesmoke;
    color: black;
    height: 100%;
    overflow: hidden;
}




/*Partial views from Ajax are hosting in divs*/
/*See Index.chhtml*/
/*Example: <div slot="content3" class="dockManagerContent" style="height:100%; overflow:hidden;" > <div id="divRecordsetGridPartialView1" style="height: 100%; overflow: hidden; background-color: whitesmoke; font-size: 10pt; " > Loading...</div > </div >*/
.dockManagerPartialView {
    height: 100%;
    overflow: hidden;
    background-color: whitesmoke;
    font-size: calc(8pt + 0.25vw);
}

igc-dockmanager::part(splitter) {
    flex: 0 0 8px;
}

/*igc-dockmanager::part(pane-header) {
    background-color: var(--white);
    border-bottom: 2px solid var(--main-color);
}*/

igc-dockmanager::part(pane-header active) {
    color: var(--red);
    border-bottom: 2px solid var(--secondary-color);
}

igc-dockmanager::part(pane-header-content) {
    color: white;
}




/*Examples below*/
/*https://www.infragistics.com/products/ignite-ui-web-components/web-components/components/layouts/dock-manager*/

/*:root {
    --main-color: rgb(227,230,233);
    --secondary-color: rgb(113,115,116);
    --white: #ffffff;
    --font-color: rgb(113,115,116);
    display: flex;
    flex-direction: column;
    height: 100%;
}

igc-dockmanager {
    background-color: var(--main-color);
    padding: 20px;
}

    igc-dockmanager::part(pane-header) {
        background-color: var(--white);
        border-bottom: 2px solid var(--main-color);
    }

    igc-dockmanager::part(pane-header active) {
        font-weight: 700;
        color: var(--secondary-color);
        box-shadow: none;
        border-bottom: 2px solid var(--secondary-color);
    }

    igc-dockmanager::part(pane-header-content) {
        color: rgba(104, 97, 97, 0.938);
    }

    igc-dockmanager::part(splitter) {
        flex: 0 0 15px;
    }

    igc-dockmanager::part(splitter-base) {
        background: transparent;
    }

        igc-dockmanager::part(splitter-base)::after {
            content: none;
        }

    igc-dockmanager::part(content-pane) {
        border-radius: 10px;
    }

    igc-dockmanager::part(tab-header bottom) {
        border-bottom-right-radius: 10px;
        border-bottom-left-radius: 10px;
        background-color: var(--main-color);
    }

    igc-dockmanager::part(tab-header active selected bottom) {
        font-weight: 700;
        color: var(--secondary-color);
        box-shadow: inset 0 2px 0 0 var(--secondary-color);
    }

    igc-dockmanager::part(tab-strip-area bottom) {
        border-radius: 0 0 10px 10px;
        border-bottom: 2px solid var(--main-color);
        background-color: var(--white);
    }

    igc-dockmanager::part(tab-strip-actions bottom) {
        display: none;
    }

    igc-dockmanager::part(tabs-content) {
        border-radius: 10px 10px 0 0;
        background-color: var(--white);
    }

    igc-dockmanager::part(root-docking-indicator),
    igc-dockmanager::part(docking-indicator) {
        background-color: rgba(49, 45, 49, 0.733);
        color: var(--white);
        border: none;
        border-radius: 5px;
        margin: 2px
    }

    igc-dockmanager::part(docking-preview) {
        background-color: var(--main-color);
        opacity: 0.7;
    }

    igc-dockmanager::part(unpinned-pane-header) {
        border-radius: 5px;
        margin-bottom: 5px;
        box-shadow: inset 0 2px 0 0 var(--secondary-color);
        background-color: var(--white);
    }

    igc-dockmanager::part(floating-window) {
        border-radius: 10px;
    }

.header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.floatingHeader {
    display: flex;
    justify-content: space-between;
}

.dockManagerFull {
    padding: 0rem;
    margin: 0rem;
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

.dockManagerFrame {
    padding: 0rem;
    margin: 0rem;
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

.closeButton {
    width: inherit;
    border: none;
    background: transparent;
    color: var(--font-color);
    font-size: 14px;
}

.stock-price {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.stock-item-movement-up {
    display: flex;
    color: rgb(0,153,255);
}

.stock-item-movement-down {
    display: flex;
    color: rgb(233, 80, 164);
}

igc-avatar::part(image) {
    background-color: white;
}

igc-card {
    height: inherit;
}

igc-card-content {
    padding-top: 5px;
    padding-bottom: 0px;
}*/

/* ACCOUNTS */

/*.account-content {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}*/

/* TOP MOVERS */

/*.top-movers-content {
    margin: 0 auto;
    width: 100%;
    display: grid;
    grid-template-columns: repeat(auto-fit, 150px);
    justify-content: space-evenly;
}

.top-move-stock-item {
    margin: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
}*/

/* PHYSICAL CARDS */

/*.add-card-btn {
    display: flex;
    justify-content: flex-end;
    margin-bottom: 0.5rem;
}*/

